Restore Points - Get
Gets a restore point.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/restorePoints/{restorePointName}?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
restore
|
path | True |
string |
The name of the restore point. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully returned the restore point. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
| Gets a database restore point. |
| Gets a datawarehouse database restore point. |
Gets a database restore point.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000?api-version=2025-01-01
Sample response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/ContinuousRestorePoint",
"name": "ContinuousRestorePoint",
"type": "Microsoft.Sql/servers/databases/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "CONTINUOUS",
"earliestRestoreDate": "2017-03-10T08:00:00Z"
}
}
Gets a datawarehouse database restore point.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000?api-version=2025-01-01
Sample response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
"name": "131546477590000000",
"type": "Microsoft.Sql/servers/databases/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "DISCRETE",
"restorePointCreationDate": "2017-03-10T08:00:00Z",
"restorePointLabel": "mylabel"
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Restore |
Database restore points. |
|
Restore |
The type of restore point |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
RestorePoint
Database restore points.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| location |
string |
Resource location. |
| name |
string |
Resource name. |
| properties.earliestRestoreDate |
string (date-time) |
The earliest time to which this database can be restored |
| properties.restorePointCreationDate |
string (date-time) |
The time the backup was taken |
| properties.restorePointLabel |
string |
The label of restore point for backup request by user |
| properties.restorePointType |
The type of restore point |
|
| type |
string |
Resource type. |
RestorePointType
The type of restore point
| Value | Description |
|---|---|
| CONTINUOUS | |
| DISCRETE |